#!/bin/sh

# Move to the bin directory
cd ~/bin

# Build X11 Idle
gcc -l Xss -l X11 x11idle.c -o x11idle

# Build pango-list-typefaces
gcc -o pango-list-typefaces -Wall -g pango-list-typefaces.c `pkg-config --cflags --libs pango` `pkg-config --cflags --libs cairo` `pkg-config --cflags --libs pangocairo` `pkg-config --cflags --libs glib-2.0`

# Build the excuse generator
sbcl --load generate-excuse-build.lisp

# Build the executive decision maker
sbcl --load make-decision-build.lisp
